Package twisted :: Package enterprise :: Module util :: Class _TableInfo

[show private | hide private]
[frames | no frames]

## Class _TableInfo

(internal)

Info about a table/class and it's relationships. Also serves as a container for generated SQL.

Method Summary
| `__init__(self, rc)`
| ``addForeignKey`(self, childColumns, parentColumns, childRowClass, containerMethod, autoLoad)` This information is attached to the "parent" table childColumns - columns of the "child" table parentColumns - columns of the "parent" table, the one being joined to...
| `getRelationshipFor(self, tableName)`

Method Details

### addForeignKey(self, childColumns, parentColumns, childRowClass, containerMethod, autoLoad)

This information is attached to the "parent" table childColumns - columns of the "child" table parentColumns - columns of the "parent" table, the one being joined to... the "foreign" table

Generated by Epydoc 1.1 on Thu May 8 13:19:29 2003 | http://epydoc.sf.net